import { Asidenav } from './asidenav';

describe('Asidenav', () => {

  let asidenav;

  beforeEach(() => {
    const element = document.createElement('div');
    asidenav = new Asidenav(element);
  });

  it('should create', () => {
    expect(asidenav).toBeTruthy();
  });

  it('should throw if called without an element', () => {
    expect(() => {
      new Asidenav();
    }).toThrow();
  });
});
